registry {
  type = "file"

  file {
    name = "file.conf"
  }

  # For cluster mode, use nacos/eureka/zk/consul/etcd3/sofa
  nacos {
    application = "seata-server"
    serverAddr = "127.0.0.1:8848"
    group = "SEATA_GROUP"
    namespace = ""
    cluster = "default"
    username = "nacos"
    password = "nacos"
  }

  eureka {
    serviceUrl = "http://localhost:8761/eureka"
    application = "seata-server"
    weight = "1"
  }

  zk {
    serverAddr = "127.0.0.1:2181"
    sessionTimeout = 6000
    connectTimeout = 2000
    username = ""
    password = ""
    zkApiSuffix = ""
    clusterName = "default"
  }
}

config {
  type = "file"

  file {
    name = "file.conf"
  }

  # For config from nacos/apollo/etcd
  nacos {
    serverAddr = "127.0.0.1:8848"
    namespace = ""
    group = "SEATA_GROUP"
    username = "nacos"
    password = "nacos"
    dataId = "seataConfig.properties"
  }

  apollo {
    apolloMeta = "http://192.168.1.1:8801"
    appId = "seata-server"
    namespace = "application"
    apolloAccesskeySecret = ""
    cluster = "default"
  }

  etcd3 {
    serverAddr = "http://localhost:2379"
    key = "seataConfig"
    cronInterval = "10s"
  }
}
